# Uses of Class
jcifs.netbios.NbtAddress

Packages that use NbtAddress
Package
Description
jcifs.netbios

## Uses of NbtAddress in jcifs.netbios

Methods in jcifs.netbios that return NbtAddress
Modifier and Type
Method
Description
`static NbtAddress[]`
NbtAddress.`getAllByAddress(String host)`
Retrieve all addresses of a host by it's address.
`static NbtAddress[]`
NbtAddress.`getAllByAddress(String host, int type, String scope)`
Retrieve all addresses of a host by it's address.
`static NbtAddress[]`
NbtAddress.`getAllByAddress(NbtAddress addr)`
Retrieve all addresses of a host by it's address.
`static NbtAddress[]`
NbtAddress.`getAllByName(String host, int type, String scope, InetAddress svr)`
`static NbtAddress`
NbtAddress.`getByName(String host)`
Determines the address of a host given it's host name.
`static NbtAddress`
NbtAddress.`getByName(String host, int type, String scope)`
Determines the address of a host given it's host name.
`static NbtAddress`
NbtAddress.`getByName(String host, int type, String scope, InetAddress svr)`
`static NbtAddress`
NbtAddress.`getLocalHost()`
Retrieves the local host address.
Methods in jcifs.netbios with parameters of type NbtAddress
Modifier and Type
Method
Description
`static NbtAddress[]`
NbtAddress.`getAllByAddress(NbtAddress addr)`
Retrieve all addresses of a host by it's address.